# WOK
TKWOK
WOKernel

# WOKernel_ClientIterator Class Reference

`#include <WOKernel_ClientIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKernel_ClientIterator (const Handle(WOKernel_UnitGraph)&aClientGraph, const Handle(TCollection_HAsciiString)&anUd)
Standard_EXPORT Standard_Boolean | More () const
| Returns TRUE if there are other uds. .
Standard_EXPORT void | Next ()
| Set the iterator to the next ud. .
Standard_EXPORT Handle_TCollection_HAsciiString | Value ()
| Returns the ud value for the current position of the iterator. .
Standard_EXPORT void | GetClients ()

## Private Attributes

Handle_WOKernel_UnitGraph | myClientGraph
Standard_Boolean | myMore
Handle_TCollection_HAsciiString | myCurrentUd
Handle_TColStd_HSequenceOfHAsciiString | myClients
Standard_Integer | myIndex

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_ClientIterator::WOKernel_ClientIterator | ( | const Handle(WOKernel_UnitGraph)& | aClientGraph,
|  | const Handle(TCollection_HAsciiString)& | anUd
| ) |

## Member Function Documentation

Standard_EXPORT void WOKernel_ClientIterator::GetClients | ( |  | ) |

Standard_EXPORT Standard_Boolean WOKernel_ClientIterator::More | ( |  | ) | const

Standard_EXPORT void WOKernel_ClientIterator::Next | ( |  | ) |

void WOKernel_ClientIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKernel_ClientIterator::operator new | ( | size_t | size | ) | `[inline]`

void* WOKernel_ClientIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_ClientIterator::Value | ( |  | ) |

## Field Documentation

Handle_WOKernel_UnitGraph WOKernel_ClientIterator::myClientGraph `[private]`

Handle_TColStd_HSequenceOfHAsciiString WOKernel_ClientIterator::myClients `[private]`

Handle_TCollection_HAsciiString WOKernel_ClientIterator::myCurrentUd `[private]`

Standard_Integer WOKernel_ClientIterator::myIndex `[private]`

Standard_Boolean WOKernel_ClientIterator::myMore `[private]`

The documentation for this class was generated from the following file:

- WOKernel_ClientIterator.hxx